dbXML API

## com.dbxml.db.core.extension
Class InvalidContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.extension.ExtensionException
                          com.dbxml.db.core.extension.InvalidContextException

All Implemented Interfaces:
  java.io.Serializable

public final class InvalidContextException
extends ExtensionException

A InvalidContextException is thrown if an Extension does not belong to a specified context.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`InvalidContextException(java.lang.String message, java.lang.Throwable wrapped)`
`InvalidContextException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidContextException

    public InvalidContextException(java.lang.Throwable wrapped)

### InvalidContextException

    public InvalidContextException(java.lang.String message,
                                   java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group